<?php $__env->startSection('title'); ?>
    <?php echo app('translator')->get('Api Provider'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('style-lib'); ?>
    <link href="<?php echo e(asset('assets/admin/css/select.css')); ?>" rel="stylesheet"/>
    <link href="<?php echo e(asset('assets/admin/css/jquery-ui.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startSection('content'); ?>

    <div class="page-header card card-primary m-0 m-md-4 my-4 m-md-0 p-5 shadow">
        <div class="row">
            <div class="col-xl-10">
                <form action="<?php echo e(route('admin.provider-search')); ?>" method="get">
                    <div class="row">
                        <div class="col-md-4 col-xl-3">
                            <div class="form-group">
                                <input type="text" class="form-control get-provider" name="provider"
                                       value="<?php echo e(@request()->provider); ?>" placeholder="<?php echo app('translator')->get('Type Here'); ?>"/>
                            </div>
                        </div>


                        <div class="col-md-4 col-xl-3">
                            <div class="form-group">
                                <select name="status" class="form-control">
                                    <option><?php echo app('translator')->get('All Status'); ?></option>
                                    <option value="1"
                                            <?php if(@request()->status == '1'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Active'); ?></option>
                                    <option value="0"
                                            <?php if(@request()->status == '0'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Inactive'); ?></option>
                                </select>
                            </div>
                        </div>


                        <div class="col-md-4 col-xl-3">
                            <div class="form-group">
                                <button type="submit" class="btn w-100 w-sm-auto btn-primary"><i
                                        class="fas fa-search"></i> <?php echo app('translator')->get('Search'); ?></button>
                            </div>
                        </div>
                    </div>
                </form>
            </div>

            <div class="col-xl-2 ">
                <div class="d-flex justify-content-start justify-content-xl-end">
                    <a href="<?php echo e(route('admin.provider.api-provider.create')); ?>"
                       class="btn btn-primary btn-sm mr-2"><span><?php echo app('translator')->get('Add Providers'); ?></span></a>

                    <div class="dropdown">
                        <button class="btn btn-dark dropdown-toggle" type="button" id="dropdownMenuButton"
                                data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <span><i class="fas fa-bars pr-2"></i> <?php echo app('translator')->get('Action'); ?></span>
                        </button>
                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                            <button class="dropdown-item" type="button" data-toggle="modal"
                                    data-target="#all_active"><?php echo app('translator')->get('Active'); ?></button>
                            <button class="dropdown-item" type="button" data-toggle="modal"
                                    data-target="#all_deactive"><?php echo app('translator')->get('Inactive'); ?></button>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>

    <div class="card card-primary m-0 m-md-4 my-4 m-md-0 shadow">
        <div class="card-body">
            <div class="table-responsive">
                <div class="mt-4">
                    <table class="categories-show-table table table-hover table-striped table-bordered">
                        <thead class="thead-primary">
                        <tr>
                            <th scope="col" class="text-center">
                                <input type="checkbox" class="form-check-input check-all tic-check " name="check-all"
                                       id="check-all">
                                <label for="check-all"></label>
                            </th>
                            <th scope="col"><?php echo app('translator')->get('No.'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Name'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Balance'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Description'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Status'); ?></th>
                            <th scope="col"><?php echo app('translator')->get('Action'); ?></th>
                        </tr>
                        </thead>
                        <tbody>

                        <?php $__empty_1 = true; $__currentLoopData = $api_providers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $api_provider): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr>
                                <td class="text-center">
                                    <input type="checkbox" id="chk-<?php echo e($api_provider->id); ?>"
                                           class="form-check-input row-tic tic-check"
                                           name="check[]" value="<?php echo e($api_provider->id); ?>"
                                           data-id="<?php echo e($api_provider->id); ?>">
                                    <label for="chk-<?php echo e($api_provider->id); ?>"></label>
                                </td>
                                <td data-label="<?php echo app('translator')->get('No.'); ?>"><?php echo app('translator')->get($loop->iteration); ?></td>

                                <td data-label="<?php echo app('translator')->get('Name'); ?>"><?php echo app('translator')->get($api_provider->api_name); ?> </td>

                                <td data-label="<?php echo app('translator')->get('Balance'); ?>"><?php echo app('translator')->get($api_provider->balance); ?> <?php echo app('translator')->get($api_provider->currency); ?> </td>
                                <td data-label="<?php echo app('translator')->get('Description'); ?>"><?php echo $api_provider->description ?? '<span class="text-danger">N/A</span>'; ?></td>
                                <td data-label="<?php echo app('translator')->get('Status'); ?>">
                                    <span
                                        class="badge badge-pill <?php echo e($api_provider->status == 0 ? 'badge-danger' : 'badge-success'); ?>"><?php echo e($api_provider->status == 0 ? 'Inactive' : 'Active'); ?></span>
                                </td>
                                <td data-label="<?php echo app('translator')->get('Action'); ?>">
                                    <div class="dropdown show dropup">
                                        <a class="dropdown-toggle p-3" href="#" id="dropdownMenuLink" data-toggle="dropdown"
                                           aria-haspopup="true" aria-expanded="false">
                                            <i class="fa fa-ellipsis-v" aria-hidden="true"></i>
                                        </a>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                                            <a class="dropdown-item" href="<?php echo e(route('admin.provider.api-provider.edit',[$api_provider->id])); ?>">
                                                <i class="fa fa-edit text-warning pr-2"
                                                   aria-hidden="true"></i> <?php echo app('translator')->get('Edit'); ?>
                                            </a>
                                            <a href="javascript:void(0)"
                                               class="dropdown-item   status-change"

                                               data-toggle="modal" data-target="#statusModal"
                                               data-route="<?php echo e(route('admin.provider.status',[$api_provider->id])); ?>">

                                                <i class="fa <?php echo e($api_provider->status == 0 ? 'fa-check text-success' : 'fa-times text-danger'); ?>  pr-2"
                                                   aria-hidden="true"></i>  <?php echo e($api_provider->status == 0 ? 'Activate' : 'Deactivate'); ?>

                                            </a>
                                            <a href="javascript:void(0)" class="dropdown-item setCurrencyButton"
                                               data-toggle="modal" data-target="#setCurrency"
                                               data-route="<?php echo e(route('admin.provider.setCurrency',[$api_provider->id])); ?>"
                                               data-convrate="<?php echo e($api_provider->convention_rate); ?>"
                                               data-apicurrency="<?php echo e($api_provider->currency); ?>">

                                               <i class="fas fa-money-bill-wave text-info pr-2"></i> <?php echo app('translator')->get('Set Currency'); ?>
                                            </a>
                                            <a href="javascript:void(0)"
                                               class="dropdown-item price-change"
                                               data-route="<?php echo e(route('admin.provider.priceUpdate',[$api_provider->id])); ?>"
                                               data-toggle="modal" data-target="#updatePriceModal">
                                                <i class="fa fa-sync text-info pr-2" aria-hidden="true"></i> <?php echo app('translator')->get('Update Service Price'); ?>
                                            </a>
                                            <a href="javascript:void(0)"
                                               class="dropdown-item balance-change"
                                               data-route="<?php echo e(route('admin.provider.balanceUpdate',[$api_provider->id])); ?>"
                                               data-toggle="modal" data-target="#updateBalanceModal">
                                                <i class="fa fa-money-bill-alt text-info pr-2" aria-hidden="true"></i> <?php echo app('translator')->get('Update Provider Balance'); ?>
                                            </a>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <tr>
                                    <td colspan="100%"><?php echo app('translator')->get('No Data Found!'); ?></td>
                                </tr>
                            <?php endif; ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="statusModal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog " role="document">
            <div class="modal-content">
                <div class="modal-header bg-primary text-white">
                    <h5 class="modal-title"><?php echo app('translator')->get('Confirm Status Change'); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form action="" method="post" id="statusForm">
                    <?php echo csrf_field(); ?>
                    <div class="modal-body">
                        <p><?php echo app('translator')->get('Are you want to change status?'); ?></p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light" data-dismiss="modal"><span><i
                                    class="fas fa-power-off"></i> <?php echo app('translator')->get('Cancel'); ?></span></button>
                        <button type="submit" class="btn btn-primary"><span><i
                                    class="fas fa-save"></i> <?php echo app('translator')->get('Change Status'); ?></span></button>
                    </div>
                </form>
            </div>
        </div>
    </div>


    <div class="modal fade" id="all_active" role="dialog">
        <div class="modal-dialog ">
            <div class="modal-content">


                <div class="modal-header modal-colored-header bg-primary">
                    <h5 class="modal-title"><?php echo app('translator')->get('Confirm Status Change'); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>

                <div class="modal-body">
                    <p><?php echo app('translator')->get('Are you want to change status?'); ?></p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><span><?php echo app('translator')->get('No'); ?></span>
                    </button>
                    <form action="" method="post">
                        <?php echo csrf_field(); ?>
                        <a href="" class="btn btn-primary active-yes"><span><?php echo app('translator')->get('Yes'); ?></span></a>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="all_deactive" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">

                <div class="modal-header modal-colored-header bg-primary">
                    <h5 class="modal-title"><?php echo app('translator')->get('Confirm Status Change'); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form action="" method="post">
                    <?php echo csrf_field(); ?>
                <div class="modal-body">
                    <p><?php echo app('translator')->get('Are you want to change status'); ?></p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light red" data-dismiss="modal"><span><?php echo app('translator')->get('No'); ?></span>
                    </button>
                    <a href="" class="btn btn-primary deactive-yes"><span><?php echo app('translator')->get('Yes'); ?></span></a>
                </div>
                </form>
            </div>
        </div>
    </div>


    <div class="modal fade" id="updatePriceModal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog " role="document">
            <div class="modal-content">
                <div class="modal-header bg-primary text-white">
                    <h5 class="modal-title"><?php echo app('translator')->get('Price Update Confirmation'); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form action="" method="post" id="priceForm">
                    <?php echo csrf_field(); ?>
                    <div class="modal-body">
                        <p><?php echo app('translator')->get('Do you want to update provider\'s services price?'); ?></p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light" data-dismiss="modal">
                            <span> <?php echo app('translator')->get('Cancel'); ?></span>
                        </button>
                        <button type="submit" class="btn btn-primary">
                            <span> <?php echo app('translator')->get('Yes'); ?></span>
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>


    <div class="modal fade" id="setCurrency" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog " role="document">
            <div class="modal-content">
                <div class="modal-header bg-primary text-white">
                    <h5 class="modal-title"><?php echo app('translator')->get('Set Currency'); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form action="" method="post" class="currencySet">
                    <?php echo method_field('put'); ?>
                    <?php echo csrf_field(); ?>
                    <div class="modal-body pt-3 pb-4">
                        <label><?php echo app('translator')->get('Convention Rate'); ?></label>
                        <div class="input-group input-group-sm">
                            <div class="input-group-prepend">
                                <div class="input-group-text "> 
                                    1 <span class="apicurrency"> </span> = 
                                </div>
                            </div>
                            <input type="number" class="form-control form-control-sm" id="convRateInput"
                                    name="convention_rate"
                                    required=""
                                    step=".0001">
                            <div class="input-group-append">
                                <div class="input-group-text set-currency ">
                                     <?php echo e($basic->currency ?? 'USD'); ?>

                                </div>
                            </div>
                        </div>
                        <?php if($errors->has('convention_rate')): ?>
                            <span class="invalid-text">
                                    <?php echo e($errors->first('currency_symbol')); ?>

                                </span>
                        <?php endif; ?>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light" data-dismiss="modal">
                            <span> <?php echo app('translator')->get('Cancel'); ?></span>
                        </button>
                        <button type="submit" class="btn btn-primary">
                            <span> <?php echo app('translator')->get('Submit'); ?></span>
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>



    <div class="modal fade" id="updateBalanceModal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog " role="document">
            <div class="modal-content">
                <div class="modal-header bg-primary text-white">
                    <h5 class="modal-title"><?php echo app('translator')->get('Balance Update Confirmation'); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <form action="" method="post" id="balanceForm">
                    <?php echo csrf_field(); ?>
                    <div class="modal-body">
                        <p><?php echo app('translator')->get('Do you want to update provider balance?'); ?></p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light" data-dismiss="modal">
                            <span> <?php echo app('translator')->get('Cancel'); ?></span>
                        </button>

                        <button type="submit" class="btn btn-primary">
                            <span> <?php echo app('translator')->get('Yes'); ?></span>
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>


<?php $__env->startPush('js-lib'); ?>
    <script src="<?php echo e(asset('assets/global/js/select2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/global/js/jquery-ui.min.js')); ?>"></script>
<?php $__env->stopPush(); ?>


<?php $__env->startPush('js'); ?>
    <script>
        $(document).ready(function () {
            "use strict";
            $(document).on('click', '#check-all', function () {
                $('input:checkbox').not(this).prop('checked', this.checked);
            });

            $(document).on('change', ".row-tic", function () {
                let length = $(".row-tic").length;
                let checkedLength = $(".row-tic:checked").length;
                if (length == checkedLength) {
                    $('#check-all').prop('checked', true);
                } else {
                    $('#check-all').prop('checked', false);
                }
            });

            $(document).on('click', '.status-change', function () {
                let route = $(this).data('route');
                $('#statusForm').attr('action', route);
            });

            $(document).on('click', '.price-change', function () {
                let route = $(this).data('route');
                $('#priceForm').attr('action', route);
            });


            $(document).on('click', '.setCurrencyButton', function () {
                var title = $(this).data('convrate');
                   var apicurrency = $(this).data('apicurrency');
                   console.log(apicurrency);
                $('.apicurrency').text(apicurrency);
                $('#convRateInput').val(title);

                let route = $(this).data('route');
                $('.currencySet').attr('action', route);
            });

            $(document).on('click', '.balance-change', function () {
                let route = $(this).data('route');
                $('#balanceForm').attr('action', route);
            });

            $(document).on('click', '.dropdown-menu', function (e) {
                e.stopPropagation();
            });

            //multiple active
            $(document).on('click', '.active-yes', function (e) {
                e.preventDefault();
                var allVals = [];

                $(".row-tic:checked").each(function () {
                    allVals.push($(this).attr('data-id'));
                });

                if (allVals.length > 0) {
                    var strIds = allVals.join(",");
                    $.ajax({
                        headers: {'X-CSRF-TOKEN': $('meta[name="csrf_token"]').attr('content')},
                        url: "<?php echo e(route('admin.apiprovider-multiple-active')); ?>",
                        data: {strIds: strIds},
                        datatType: 'json',
                        type: 'get',
                        success: function (data) {
                            if (data.success == 1) {
                                window.location.reload();
                            }
                        }
                    });
                } else {
                    var strIds = allVals.join(",");
                    $.ajax({
                        headers: {'X-CSRF-TOKEN': $('meta[name="csrf_token"]').attr('content')},
                        url: "<?php echo e(route('admin.apiprovider-multiple-active')); ?>",
                        data: {strIds: strIds},
                        datatType: 'json',
                        type: 'get',
                        success: function (data) {
                            if (data.error == 1) {
                                window.location.reload();
                            }
                        }
                    });
                }
            });

            //multiple deActive
            $(document).on('click', '.deactive-yes', function (e) {
                e.preventDefault();
                var allVals = [];
                $(".row-tic:checked").each(function () {
                    allVals.push($(this).attr('data-id'));
                });
                if (allVals.length > 0) {
                    var strIds = allVals.join(",");

                    $.ajax({
                        headers: {'X-CSRF-TOKEN': $('meta[name="csrf_token"]').attr('content')},
                        url: "<?php echo e(route('admin.apiprovider-multiple-deactive')); ?>",
                        data: {strIds: strIds},
                        datatType: 'json',
                        type: 'get',
                        success: function (data) {
                            if (data.success == 1) {
                                window.location.reload();
                            }
                        }
                    });

                } else {
                    var strIds = allVals.join(",");
                    $.ajax({
                        headers: {'X-CSRF-TOKEN': $('meta[name="csrf_token"]').attr('content')},
                        url: "<?php echo e(route('admin.apiprovider-multiple-deactive')); ?>",
                        data: {strIds: strIds},
                        datatType: 'json',
                        type: 'get',
                        success: function (data) {
                            if (data.error == 1) {
                                window.location.reload();
                            }
                        }
                    });
                }

            });


            $('select[name=status]').select2({
                selectOnClose: true
            });

        });


    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xamp\htdocs\SMM_200823\project\resources\views/admin/pages/api_providers/show.blade.php ENDPATH**/ ?>