<?php $__env->startSection('title'); ?>
    <?php echo app('translator')->get('Edit Api'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="card card-primary m-0 m-md-4 my-4 m-md-0">
        <div class="card-body">
            <form method="POST" action=" <?php echo e(route('admin.provider.api-provider.update',[$provider->id])); ?> " enctype="multipart/form-data">
                <?php echo method_field('put'); ?>
                <?php echo csrf_field(); ?>
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group ">
                            <label><?php echo app('translator')->get('Api Name'); ?></label>
                            <input type="text" name="api_name" value="<?php echo e(old('api_name',$provider->api_name)); ?>" required="required" class="form-control form-control-sm">
                            <div class="invalid-feedback"><?php echo app('translator')->get('Please fill in the api name'); ?></div>

                            <?php $__errorArgs = ['api_name'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="text-danger"><?php echo e($message); ?></span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div class="form-group ">
                            <label><?php echo app('translator')->get('API Key'); ?></label>
                            <input type="text" name="api_key"  value="<?php echo e(old('api_key',$provider->api_key)); ?>"  required="required" class="form-control form-control-sm">
                            <div class="invalid-feedback"><?php echo app('translator')->get('Please fill in the api key'); ?></div>
                            <?php $__errorArgs = ['api_key'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="text-danger"><?php echo e($message); ?></span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group ">
                            <label><?php echo app('translator')->get('URL'); ?></label>
                            <input type="text" name="url" value="<?php echo e(old('url',$provider->url)); ?>" required="required" class="form-control form-control-sm">
                            <div class="invalid-feedback"><?php echo app('translator')->get('Please fill in the url'); ?></div>
                            <?php $__errorArgs = ['url'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="text-danger"><?php echo e($message); ?></span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div class="form-group">
                            <label class="d-block"><?php echo app('translator')->get('Convention Rate'); ?></label>
                            <div class="input-group input-group-sm">
                                <div class="input-group-prepend">
                                    <div class="input-group-text">
                                        1 <?php echo e($basic->currency ?? 'USD'); ?> =
                                    </div>
                                </div>
                                <input type="number" class="form-control form-control-sm" id="convRateInput"
                                        name="convention_rate"
                                        value="<?php echo e(old('convention_rate',$provider->convention_rate)); ?>"
                                        required=""
                                        step=".01">
                                <div class="input-group-append">
                                    <div class="input-group-text set-currency">
                                        <?php echo e($provider->currency); ?>

                                    </div>
                                </div>
                            </div>
                            <?php $__errorArgs = ['convention_rate'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <span class="text-danger"><?php echo e($message); ?></span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label for="category_description"><?php echo app('translator')->get('Description'); ?></label>
                            <textarea class="form-control" id="description" rows="3" name="description" ><?php echo e(old('description',$provider->description)); ?></textarea>
                            <div class="invalid-feedback"><?php echo app('translator')->get('Please fill in the description'); ?></div>

                            <?php $__errorArgs = ['description'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="text-danger"><?php echo e($message); ?></span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group ">
                            <label class="d-block"><?php echo app('translator')->get('Status'); ?></label>
                            <div class="custom-switch-btn w-md-50">
                                <input type='hidden' value='1' name='status'>
                                <input type="checkbox" name="status" class="custom-switch-checkbox" id="status" value = "0" <?php if( $provider->status == 0):echo 'checked'; endif ?> >
                                <label class="custom-switch-checkbox-label" for="status">
                                    <span class="custom-switch-checkbox-inner"></span>
                                    <span class="custom-switch-checkbox-switch"></span>
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="submit-btn-wrapper mt-md-5 text-center text-md-left">
                    <button type="submit" class="btn waves-effect waves-light btn-rounded btn-primary btn-block mt-3"><span><?php echo app('translator')->get('Update API Provider'); ?></span> </button>
                </div>
            </form>

        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/infikuqx/boostfamz.com/resources/views/admin/pages/api_providers/edit.blade.php ENDPATH**/ ?>