<?php $__env->startSection('title'); ?>
    <?php echo app('translator')->get('Language'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <div class="card card-primary m-0 m-md-4 my-4 m-md-0 shadow">
        <div class="card-body">

            <a href="<?php echo e(route('admin.language.create')); ?>"
               class="btn btn-sm btn-primary float-right mb-3"><i class="fa fa-plus"></i> <?php echo app('translator')->get('Add New'); ?></a>
            <div class="table-responsive">


                <table class="categories-show-table table table-hover table-striped table-bordered">
                    <thead class="thead-primary">
                        <tr>
                            <th><?php echo app('translator')->get('Flag'); ?></th>
                            <th><?php echo app('translator')->get('Name'); ?></th>
                            <th><?php echo app('translator')->get('Short Name'); ?></th>
                            <th><?php echo app('translator')->get('Status'); ?></th>
                            <th><?php echo app('translator')->get('Action'); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php $__currentLoopData = $languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $language): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td>
                                <img class="rounded-circle width-40p"
                                     src="<?php echo e(getFile(config('location.language.path').$language->flag )); ?>">
                            </td>
                            <td><?php echo e($language->name); ?></td>
                            <td><?php echo e($language->short_name); ?></td>

                            <td>
                                <?php if($language->is_active): ?>
                                    <span class="badge badge-info"><?php echo app('translator')->get('Active'); ?></span>
                                <?php else: ?>
                                    <span class="badge badge-warning"><?php echo app('translator')->get('Inactive'); ?></span>
                                <?php endif; ?>
                            </td>
                            <td>
                                <div class="dropdown show dropup">
                                    <a class="dropdown-toggle" href="#" id="dropdownMenuLink" data-toggle="dropdown"
                                       aria-haspopup="true" aria-expanded="false">
                                        <i class="fa fa-ellipsis-v" aria-hidden="true"></i>
                                    </a>
                                    <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
                                        <a class="dropdown-item"
                                           href="<?php echo e(route('admin.language.edit',$language)); ?>">
                                            <i class="fa fa-edit text-warning pr-2"
                                               aria-hidden="true"></i> <?php echo app('translator')->get('Edit'); ?></a>

                                        <a class="dropdown-item"
                                           href="<?php echo e(route('admin.language.keywordEdit',$language)); ?>">
                                            <i class="fa fa-code text-success pr-2"
                                               aria-hidden="true"></i> <?php echo app('translator')->get('Edit Keywords'); ?></a>


                                        <?php if($language->short_name != 'en'): ?>
                                            <a href="javascript:void(0)"
                                               class="dropdown-item deleteBtn"
                                               data-toggle="modal"
                                               data-toggle="modal" data-target="#deleteModal"
                                               data-route="<?php echo e(route('admin.language.delete',$language)); ?>"

                                            >
                                                <i class="fa fa-trash text-danger pr-2"></i>
                                                <?php echo app('translator')->get('Delete'); ?>
                                            </a>
                                        <?php endif; ?>


                                    </div>
                                </div>

                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>

            </div>
        </div>
    </div>



    <!-- Primary Header Modal -->
    <div id="deleteModal" class="modal fade" tabindex="-1" role="dialog"
         aria-labelledby="primary-header-modalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-primary">
                    <h4 class="modal-title" id="primary-header-modalLabel"><?php echo app('translator')->get('Delete Confirmation'); ?>
                    </h4>
                    <button type="button" class="close" data-dismiss="modal"
                            aria-hidden="true">×
                    </button>
                </div>
                <div class="modal-body">
                    <p><?php echo app('translator')->get('Are you sure to delete this?'); ?></p>
                </div>

                <form action="" method="post" class="actionForm">
                    <?php echo csrf_field(); ?>
                    <?php echo method_field('delete'); ?>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light"
                                data-dismiss="modal"><?php echo app('translator')->get('Close'); ?></button>
                        <button type="submit" class="btn btn-primary"><?php echo app('translator')->get('Delete'); ?></button>
                    </div>

                </form>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('js'); ?>
    <script>
        "use strict";
        $(document).ready(function () {
            $('.deleteBtn').on('click', function () {
                $('.actionForm').attr('action', $(this).data('route'));
            });

        })

    </script>

<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/infikuqx/boostfamz.com/resources/views/admin/pages/language/index.blade.php ENDPATH**/ ?>