<?php $__env->startSection('title',__('Refill Orders')); ?>
<?php $__env->startSection('content'); ?>

    <div class="container-fluid px-3 user-service-list ">
        <div class="row my-3 justify-content-between mx-lg-5">
            <div class="col-md-12">
                <ol class="breadcrumb center-items">
                    <li><a href="<?php echo e(route('user.home')); ?>"><?php echo app('translator')->get('Home'); ?></a></li>
                    <li class="active"><?php echo app('translator')->get('Refill Order List'); ?></li>
                </ol>

                <div class="card my-3">
                    <div class="card-body">
                        <form action="<?php echo e(route('user.order.refill.search')); ?>" method="get">
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <input type="text" name="order_id" value="<?php echo e(@request()->order_id); ?>"
                                               class="form-control"
                                               placeholder="<?php echo app('translator')->get('Order ID'); ?>">
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <input type="text" name="service" value="<?php echo e(@request()->service); ?>"
                                               class="form-control get-service"
                                               placeholder="<?php echo app('translator')->get('Service'); ?>">
                                    </div>
                                </div>

                                <div class="col-md-2">
                                    <div class="form-group">
                                        <select name="status" class="form-control">
                                            <option value="-1"
                                                    <?php if(@request()->status == '-1'): ?> selected <?php endif; ?>><?php echo app('translator')->get('All Status'); ?></option>
                                            <option value="awaiting"
                                                    <?php if(@request()->status == 'awaiting'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Awaiting'); ?></option>
                                            <option value="pending"
                                                    <?php if(@request()->status == 'pending'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Pending'); ?></option>
                                            <option value="processing"
                                                    <?php if(@request()->status == 'processing'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Processing'); ?></option>
                                            <option value="progress"
                                                    <?php if(@request()->status == 'progress'): ?> selected <?php endif; ?>><?php echo app('translator')->get('In Progress'); ?></option>
                                            <option value="completed"
                                                    <?php if(@request()->status == 'completed'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Completed'); ?></option>
                                            <option value="partial"
                                                    <?php if(@request()->status == 'partial'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Partial'); ?></option>
                                            <option value="canceled"
                                                    <?php if(@request()->status == 'canceled'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Cancelled'); ?></option>
                                            <option value="refunded"
                                                    <?php if(@request()->status == 'refunded'): ?> selected <?php endif; ?>><?php echo app('translator')->get('Refunded'); ?></option>
                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-2">
                                    <div class="form-group">
                                        <input type="date" class="form-control" name="date_time" id="datepicker"/>
                                    </div>
                                </div>

                                <div class="col-md-2">
                                    <div class="form-group">
                                        <button type="submit" class="btn waves-effect waves-light w-100 btn-primary"><i
                                                class="fas fa-search"></i> <?php echo app('translator')->get('Search'); ?></button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>


        <div class="row my-3 justify-content-between align-items-center mx-lg-5">
            <div class="col-md-12">

                <div class="card">
                    <div class="card-body">

                        <div class="row justify-content-between align-items-start">
                            <div class="col-sm-12">
                                <div class="my-4">
                                    <?php
                                        $lastSegment = collect(request()->segments())->last();
                                    ?>
                                    <ul class="nav nav-pills">
                                        <li class="nav-item">
                                            <a class="nav-link <?php if(Request::routeIs('user.order-refill') || Request::routeIs('user.order.refill.search') ): ?> active <?php endif; ?>"
                                               href="<?php echo e(route('user.order-refill')); ?>"><?php echo app('translator')->get('All Orders'); ?></a>
                                        </li>
                                        <li class="nav-item ">
                                            <a class="nav-link  <?php echo e(( $lastSegment == 'awaiting') ? 'active' : ''); ?>"
                                               href="<?php echo e(route('user.order-refill.search',['awaiting'])); ?>"><?php echo app('translator')->get('Awaiting'); ?></a>
                                        </li>

                                        <li class="nav-item">
                                            <a class="nav-link <?php echo e(( $lastSegment == 'pending') ? 'active' : ''); ?>"
                                               href="<?php echo e(route('user.order-refill.search',['pending'])); ?>"><?php echo app('translator')->get('Pending'); ?></a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link <?php echo e(( $lastSegment == 'processing') ? 'active' : ''); ?>"
                                               href="<?php echo e(route('user.order-refill.search',['processing'])); ?>"><?php echo app('translator')->get('Processing'); ?></a>
                                        </li>

                                        <li class="nav-item">
                                            <a class="nav-link <?php echo e(( $lastSegment == 'progress') ? 'active' : ''); ?>"
                                               href="<?php echo e(route('user.order-refill.search',['progress'])); ?>"><?php echo app('translator')->get('In progress'); ?></a>
                                        </li>

                                        <li class="nav-item">
                                            <a class="nav-link  <?php echo e(( $lastSegment == 'completed') ? 'active' : ''); ?>"
                                               href="<?php echo e(route('user.order-refill.search',['completed'])); ?>"><?php echo app('translator')->get('Completed'); ?></a>
                                        </li>

                                        <li class="nav-item">
                                            <a class="nav-link <?php echo e(( $lastSegment == 'partial') ? 'active' : ''); ?>"
                                               href="<?php echo e(route('user.order-refill.search',['partial'])); ?>"><?php echo app('translator')->get('Partial'); ?></a>
                                        </li>

                                        <li class="nav-item">
                                            <a class="nav-link <?php echo e(( $lastSegment == 'canceled') ? 'active' : ''); ?>"
                                               href="<?php echo e(route('user.order-refill.search',['canceled'])); ?>"><?php echo app('translator')->get('Canceled'); ?></a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link <?php echo e(( $lastSegment == 'refunded') ? 'active' : ''); ?>"
                                               href="<?php echo e(route('user.order-refill.search',['refunded'])); ?>"><?php echo app('translator')->get('Refunded'); ?></a>
                                        </li>

                                    </ul>
                                </div>
                            </div>
                        </div>


                        <div class="table-responsive ">
                            <table class="categories-show-table table table-striped text-center ">
                                <thead>
                                <tr>
                                    <th scope="col"><?php echo app('translator')->get('Order ID'); ?></th>
                                    <th scope="col" class="order-details-column text-left"><?php echo app('translator')->get('Order Details'); ?></th>
                                    <th scope="col"><?php echo app('translator')->get('Price'); ?></th>
                                    <th scope="col"><?php echo app('translator')->get('Start Counter'); ?></th>
                                    <th scope="col"><?php echo app('translator')->get('Remains'); ?></th>
                                    <th scope="col"><?php echo app('translator')->get('Order AT'); ?></th>
                                    <th scope="col"><?php echo app('translator')->get('Status'); ?></th>
                                    <th scope="col"><?php echo app('translator')->get('More'); ?></th>
                                </tr>
                                </thead>
                                <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td> <?php echo e($order->id); ?> </td>
                                        <td class="text-left">
                                            <h5><?php echo app('translator')->get(optional($order->service)->service_title); ?></h5>
                                            <?php echo app('translator')->get('Link'); ?>: <?php echo app('translator')->get($order->link); ?><br>
                                            <?php echo app('translator')->get('Quantity'); ?>: <?php echo app('translator')->get($order->quantity); ?> <br>
                                        </td>
                                        <td><?php echo app('translator')->get($order->price); ?> <?php echo app('translator')->get(config('basic.currency')); ?></td>
                                        <td><?php echo app('translator')->get($order->start_counter?? 'N/A'); ?></td>
                                        <td><?php echo app('translator')->get($order->remains ?? 'N/A' ); ?></td>
                                        <td><?php echo app('translator')->get(dateTime($order->created_at, 'd/m/Y - h:i A' )); ?></td>

                                        <td>
                                            <?php if($order->status=='awaiting'): ?>
                                                <span
                                                    class="badge badge-pill badge-danger"><?php echo e(trans('Awaiting')); ?></span>
                                            <?php elseif($order->status == 'pending'): ?>
                                                <span
                                                    class="badge badge-pill badge-info"><?php echo e(trans('Pending')); ?></span>
                                            <?php elseif($order->status == 'processing'): ?>
                                                <span
                                                    class="badge badge-pill badge-info"><?php echo e(trans('Processing')); ?></span>
                                            <?php elseif($order->status == 'progress'): ?>
                                                <span
                                                    class="badge badge-pill badge-warning"><?php echo e(trans('In progress')); ?></span>
                                            <?php elseif($order->status == 'completed'): ?>
                                                <span
                                                    class="badge badge-pill badge-success"><?php echo e(trans('Completed')); ?></span>
                                            <?php elseif($order->status == 'partial'): ?>
                                                <span
                                                    class="badge badge-pill badge-warning"><?php echo e(trans('Partial')); ?></span>
                                            <?php elseif($order->status == 'canceled'): ?>
                                                <span
                                                    class="badge badge-pill badge-danger"><?php echo e(trans('Canceled')); ?></span>
                                            <?php elseif($order->status == 'refunded'): ?>
                                                <span
                                                    class="badge badge-pill badge-danger"><?php echo e(trans('Refunded')); ?></span>
                                            <?php endif; ?>

                                            <?php if(isset($order->refill_status) && ($order->refill_status != 'completed' || $order->refill_status != 'partial' || $order->refill_status != 'canceled' || $order->refill_status != 'refunded')): ?>
                                                <p class="badge badge-pill badge-warning"><?php echo e(trans('Refilling')); ?></p>
                                            <?php endif; ?>
                                        </td>
                                        <td>

                                            <?php if(optional($order->service)->service_status == 1): ?>
                                                <button type="button"
                                                        class="btn btn-sm btn-success  orderBtn" data-toggle="modal"
                                                        data-target="#description" id="details"
                                                        data-service_id="<?php echo e($order->service_id); ?>"
                                                        data-servicetitle="<?php echo e(optional($order->service)->service_title); ?>"
                                                        data-description="<?php echo e(optional($order->service)->description); ?>"
                                                        title="<?php echo app('translator')->get('Order'); ?>">
                                                    <i class="fa fa-cart-plus"></i>
                                                </button>
                                            <?php endif; ?>

                                            <?php if($order->reason): ?>
                                                <button type="button"
                                                        data-reason="<?php echo e($order->reason); ?>"
                                                        class="btn btn-sm btn-info infoBtn" data-toggle="modal"
                                                        data-target="#infoModal"
                                                        title="<?php echo app('translator')->get('Reason'); ?>"
                                                ><i class="fa fa-info"></i>
                                                </button>
                                            <?php endif; ?>


                                                <?php if($order->status == 'completed' && $order->remains > 0 && optional($order->service)->refill == 1 && $order->refilled_at->lt(\Carbon\Carbon::now()->subHours(24)) && (!isset($order->refill_status) || $order->refill_status == 'completed' || $order->refill_status == 'partial' || $order->refill_status == 'canceled' || $order->refill_status == 'refunded')): ?>
                                                <button type="button"
                                                        data-toggle="modal"
                                                        data-target="#refillModal"
                                                        class="btn btn-sm btn-info refilOrderBtn"
                                                        data-route="<?php echo e(route('user.order.refill',[$order->id])); ?>"
                                                        title="<?php echo app('translator')->get('Refill'); ?>">
                                                    <i class="fas fa-undo-alt"></i>
                                                </button>
                                            <?php endif; ?>

                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <tr>
                                        <td colspan="100%" class="text-center text-danger"><?php echo app('translator')->get('No Data found'); ?></td>
                                    </tr>
                                <?php endif; ?>
                                </tbody>
                            </table>
                            <?php echo e($orders->appends($_GET)->links()); ?>

                        </div>

                    </div>
                </div>
            </div>
        </div>

    </div>




    <div id="infoModal" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-primary">
                    <h5 class="modal-title"><?php echo app('translator')->get('Note'); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p class="info-reason"></p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn waves-effect waves-light btn-dark"
                            data-dismiss="modal"><?php echo app('translator')->get('Close'); ?></button>
                </div>
            </div>
        </div>
    </div>


    <div class="modal fade" id="description">
        <div class="modal-dialog">
            <div class="modal-content">
                <!-- Modal Header -->
                <div class="modal-header modal-colored-header bg-primary">
                    <h4 class="modal-title" id="title"></h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>
                <!-- Modal body -->
                <div class="modal-body" id="servicedescription">
                </div>
                <!-- Modal footer -->
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal"><?php echo app('translator')->get('Close'); ?></button>
                    <a href="" type="submit" class="btn btn-primary order-now"><?php echo app('translator')->get('Order Now'); ?></a>
                </div>

            </div>
        </div>
    </div>

    <div class="modal fade" id="refillModal" role="dialog">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header modal-colored-header bg-primary">
                    <h5 class="modal-title"><?php echo app('translator')->get('Order Refill Confirm'); ?></h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        ×
                    </button>
                </div>

                <div class="modal-body">
                    <p><?php echo app('translator')->get("Are you really want to refill this orders"); ?></p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-light" data-dismiss="modal"><span><?php echo app('translator')->get('No'); ?></span></button>
                    <form action="" method="post" id="refillConfirm">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('put'); ?>

                        <button type="submit" class="btn btn-primary "><span><?php echo app('translator')->get('Yes'); ?></span>
                        </button>

                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>


<?php $__env->startPush('js'); ?>
    <script>
        'use strict';
        $(document).on('click', '.infoBtn', function () {
            var modal = $('#infoModal');
            var id = $(this).data('service_id');
            var orderRoute = "<?php echo e(route('user.order.create')); ?>" + '?serviceId=' + id;
            $('.order-now').attr('href', orderRoute);
            modal.find('.info-reason').html($(this).data('reason'));
        });

        $(document).on('click', '#details', function () {
            var title = $(this).data('servicetitle');
            var id = $(this).data('service_id');

            var orderRoute = "<?php echo e(route('user.order.create')); ?>" + '?serviceId=' + id;
            $('.order-now').attr('href', orderRoute);

            var description = $(this).data('description');
            $('#title').text(title);
            $('#servicedescription').text(description);
        });

        $(document).on('click', '.refilOrderBtn', function () {
            let route = $(this).data('route');
            $('#refillConfirm').attr('action', route);
        });

    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('user.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/infikuqx/boostfamz.com/resources/views/user/pages/order/refill-show.blade.php ENDPATH**/ ?>