<?php $__env->startSection('title'); ?>
    <?php echo app('translator')->get('Edit Order'); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

    <div class="card card-primary m-0 m-md-4 my-4 m-md-0 shadow">
        <div class="card-body">
            <form method="post" action="<?php echo e(route('admin.order.update', $order->id)); ?>" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="row">
                    <div class="col-md-6">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label" for="category_id"><?php echo app('translator')->get('Category'); ?></label>
                                    <input type="text" class="form-control"
                                           value="<?php echo e(optional(optional($order->service)->category)->category_title); ?>"
                                           disabled>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label class="control-label" for="service_id"><?php echo app('translator')->get('Service'); ?></label>
                                    <input type="text" class="form-control"
                                           value="<?php echo e(optional($order->service)->service_title); ?>" disabled>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group ">
                                    <label><?php echo app('translator')->get('Quantity'); ?></label>
                                    <input type="number" name="quantity" id="quantity" value="<?php echo e($order->quantity); ?>"
                                           class="form-control" disabled>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('Start Counter'); ?></label>
                                    <input type="number" name="start_counter"
                                           value="<?php echo e(old('link',$order->start_counter)); ?>"
                                           placeholder="<?php echo e(__('start counter')); ?>" class="form-control" disabled>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group ">
                                    <label><?php echo app('translator')->get('Interval'); ?></label>
                                    <input type="number" name="interval" value="<?php echo e($order->interval); ?>"
                                           placeholder="<?php echo e(__('interval')); ?>" class="form-control" disabled>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('Runs'); ?></label>
                                    <input class="form-control" type="text" placeholder="<?php echo e(__('runs')); ?>" value="<?php echo e($order->runs); ?>" disabled>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('API Provider'); ?></label>
                                    <input class="form-control" type="text" placeholder="<?php echo e(__('API Provider')); ?>"
                                           value="<?php echo e(optional(optional($order->service)->provider)->api_name); ?>"
                                           disabled>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('API Order ID'); ?></label>
                                    <input class="form-control" type="text" placeholder="<?php echo e(__('API Order ID')); ?>" value="<?php echo e($order->api_order_id); ?>" disabled>
                                </div>
                            </div>
                        </div>

                        <div class="form-group ">
                            <label><?php echo app('translator')->get('API Response'); ?></label>
                            <textarea class="form-control" placeholder="<?php echo e(__('API Response')); ?>" disabled><?php echo e($order->status_description); ?></textarea>
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group ">
                            <label><?php echo app('translator')->get('Link'); ?></label>
                            <input type="text" name="link" value="<?php echo e(old('link',$order->link)); ?>"
                                   placeholder="www.example.com/your_profile_identity" class="form-control">
                            <?php $__errorArgs = ['link'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                            <span class="text-danger"><?php echo e($message); ?></span>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group ">
                                    <label><?php echo app('translator')->get('Remains'); ?></label>
                                    <input type="number" name="remains" value="<?php echo e(old('remains',$order->remains)); ?>"
                                           placeholder="remains" class="form-control">
                                    <?php $__errorArgs = ['remains'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="text-danger"><?php echo e($message); ?></span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('Start counter'); ?></label>
                                    <input class="form-control" type="number" name="start_counter" id="start_counter"
                                           value="<?php echo e(old('start_counter',$order->start_counter)); ?>">
                                    <?php $__errorArgs = ['start_counter'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="text-danger"><?php echo e($message); ?></span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="<?php echo e(isset($order->refilled_at) ? 'col-md-6' : 'col-md-12'); ?>">
                                <div class="form-group">
                                    <label><?php echo app('translator')->get('Change Status'); ?></label>
                                    <select class="form-control" id="status" name="status">
                                        <option
                                            value="awaiting" <?php echo e($order->status == 'awaiting' ? 'selected' : ''); ?>><?php echo app('translator')->get('Awaiting'); ?></option>
                                        <option
                                            value="pending" <?php echo e($order->status == 'pending' ? 'selected' : ''); ?>><?php echo app('translator')->get('Pending'); ?></option>
                                        <option
                                            value="processing" <?php echo e($order->status == 'processing' ? 'selected' : ''); ?>><?php echo app('translator')->get('Processing'); ?></option>
                                        <option
                                            value="progress" <?php echo e($order->status == 'progress' ? 'selected' : ''); ?>><?php echo app('translator')->get('In progress'); ?></option>
                                        <option
                                            value="completed" <?php echo e($order->status == 'completed' ? 'selected' : ''); ?>><?php echo app('translator')->get('Completed'); ?></option>
                                        <option
                                            value="partial" <?php echo e($order->status == 'partial' ? 'selected' : ''); ?>><?php echo app('translator')->get('Partial'); ?></option>
                                        <option
                                            value="canceled" <?php echo e($order->status == 'canceled' ? 'selected' : ''); ?>><?php echo app('translator')->get('Canceled'); ?></option>
                                        <option
                                            value="refunded" <?php echo e($order->status == 'refunded' ? 'selected' : ''); ?>><?php echo app('translator')->get('Refunded'); ?></option>
                                    </select>
                                    <?php $__errorArgs = ['status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="text-danger"><?php echo e($message); ?></span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>
                            </div>
                            <?php if(isset($order->refilled_at)): ?>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label><?php echo app('translator')->get('Change Refill Status'); ?></label>
                                        <select class="form-control" id="refill_status" name="refill_status">
                                            <option
                                                value="awaiting" <?php echo e($order->refill_status == 'awaiting' ? 'selected' : ''); ?>><?php echo app('translator')->get('Awaiting'); ?></option>
                                            <option
                                                value="pending" <?php echo e($order->refill_status == 'pending' ? 'selected' : ''); ?>><?php echo app('translator')->get('Pending'); ?></option>
                                            <option
                                                value="processing" <?php echo e($order->refill_status == 'processing' ? 'selected' : ''); ?>><?php echo app('translator')->get('Processing'); ?></option>
                                            <option
                                                value="progress" <?php echo e($order->refill_status == 'progress' ? 'selected' : ''); ?>><?php echo app('translator')->get('In progress'); ?></option>
                                            <option
                                                value="completed" <?php echo e($order->refill_status == 'completed' ? 'selected' : ''); ?>><?php echo app('translator')->get('Completed'); ?></option>
                                            <option
                                                value="partial" <?php echo e($order->refill_status == 'partial' ? 'selected' : ''); ?>><?php echo app('translator')->get('Partial'); ?></option>
                                            <option
                                                value="canceled" <?php echo e($order->refill_status == 'canceled' ? 'selected' : ''); ?>><?php echo app('translator')->get('Canceled'); ?></option>
                                            <option
                                                value="refunded" <?php echo e($order->refill_status == 'refunded' ? 'selected' : ''); ?>><?php echo app('translator')->get('Refunded'); ?></option>
                                        </select>
                                        <?php $__errorArgs = ['refill_status'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <span class="text-danger"><?php echo e($message); ?></span>
                                        <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                    </div>
                                </div>
                            <?php endif; ?>
                        </div>
                        <div class="form-group ">
                            <label><?php echo app('translator')->get('Note'); ?></label>
                            <textarea class="form-control" name="reason" rows="5"><?php echo e($order->reason); ?></textarea>
                        </div>
                    </div>
                </div>
                <div class="submit-btn-wrapper mt-md-5 text-center text-md-left">
                    <button type="submit" class=" btn  btn-primary btn-block mt-3">
                        <span><?php echo app('translator')->get('Submit'); ?></span></button>
                </div>
            </form>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('extra-script'); ?>
    <script>
        "use strict";
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $(document).ready(function () {
            $('#category').on('change', function (e) {
                let cat_id = $('option:selected', this).val();
                // console.log(cat_id)
                $.ajax({
                    url: "<?php echo e(route('admin.service')); ?>",
                    type: "POST",
                    data: {cat_id: cat_id},
                    success: function (data) {
                        $('#service').html('');
                        if (data.length) {
                            $(data).each(function (key, val) {
                                if (key == 0) {
                                    $('#service').append('<option value="" disabled selected>Select Service</option>');
                                }
                                $('#service').append('<option value="' + val.id + '">' + val.service_title + '</option>');
                            });
                        }
                    }
                })
            });

        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/infikuqx/boostfamz.com/resources/views/admin/pages/order/edit.blade.php ENDPATH**/ ?>