<?php $__env->startSection('title','Search Service'); ?>

<?php $__env->startSection('content'); ?>

    <section class="service-list">
        <div class="container-fluid px-3 user-service-list">
            <div class="row my-3 justify-content-between mx-lg-5">
                <div class="col-md-12">

                    <div class="card">
                        <div class="card-body">
                            <form action="<?php echo e(route('service.search')); ?>" method="get">
                                <div class="row justify-content-center">
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <input type="text" name="service" value="<?php echo e(@request()->service); ?>"
                                                   class="form-control"
                                                   placeholder="<?php echo app('translator')->get('Search for Services'); ?>">
                                        </div>
                                    </div>

                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <select name="category" id="category" class="form-control statusfield">
                                                <option value=""><?php echo app('translator')->get('All Category'); ?></option>
                                                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <option
                                                        value="<?php echo e($category->id); ?>" <?php echo e(($category->id == @request()->category) ? 'selected' : ''); ?>><?php echo app('translator')->get($category->category_title); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                        </div>
                                    </div>


                                    <div class="col-md-3">
                                        <div class="form-group">
                                            <button type="submit" class="btn btn-primary w-100 btn-padding"><i
                                                    class="fas fa-search"></i> <?php echo app('translator')->get('Search'); ?></button>
                                        </div>
                                    </div>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
            </div>

            <div class="row my-3 justify-content-between mx-lg-5">
                <div class="col-md-12">
                    <div id="accordion" class="accordion-service">

                        <?php $__currentLoopData = $services; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="card mb-2">
                                <div class="card-header" id="faqhead<?php echo e(slug($key)); ?>">
                                    <a href="#" class="btn btn-header-link" data-toggle="collapse"
                                       data-target="#faq<?php echo e(slug($key)); ?>" aria-expanded="true"
                                       aria-controls="faq<?php echo e(slug($key)); ?>">
                                        <?php echo app('translator')->get($key); ?>
                                    </a>
                                </div>


                                <div id="faq<?php echo e(slug($key)); ?>" class="collapse <?php if($loop->first): ?> show <?php endif; ?>"
                                     aria-labelledby="faqhead<?php echo e(slug($key)); ?>" data-parent="#accordion">
                                    <div class="card-body">

                                        <div class="table-responsive ">
                                            <table
                                                class="categories-show-table table table-hover table-striped table-bordered">
                                                <thead>
                                                <tr>
                                                    <th scope="col" class="text-center"><?php echo app('translator')->get('ID'); ?></th>
                                                    <th scope="col" class="text-left"><?php echo app('translator')->get('Name'); ?></th>
                                                    <th scope="col"
                                                        class="text-center"><?php echo app('translator')->get('Rate Per 1k'); ?>')
                                                    </th>
                                                    <th scope="col" class="text-center"><?php echo app('translator')->get('Min'); ?></th>
                                                    <th scope="col" class="text-center"><?php echo app('translator')->get('Max'); ?></th>
                                                    <th scope="col" class="text-center"><?php echo app('translator')->get('Description'); ?></th>
                                                </tr>
                                                </thead>
                                                <tbody>

                                                <?php $__currentLoopData = $service; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $row): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <tr>
                                                        <td data-label="<?php echo app('translator')->get('ID'); ?>"
                                                            class="text-right text-md-center"><?php echo e($row->id); ?></td>
                                                        <td data-label="<?php echo app('translator')->get('Name'); ?>" class="text-right text-md-left">
                                                            <?php echo app('translator')->get($row->service_title); ?>
                                                        </td>
                                                        <td data-label="<?php echo app('translator')->get('Rate Per 1000('.config('basic.currency_symbol').')'); ?>"
                                                            class="text-right text-md-center">
                                                            <?php echo app('translator')->get(config('basic.currency_symbol')); ?><?php echo e(($row->user_rate) ??$row->price); ?>


                                                        </td>
                                                        <td data-label="<?php echo app('translator')->get('Min'); ?>" class="text-right text-md-center">
                                                            <?php echo app('translator')->get($row->min_amount); ?>
                                                        </td>
                                                        <td data-label="<?php echo app('translator')->get('Max'); ?>" class="text-right text-md-center">
                                                            <?php echo app('translator')->get($row->max_amount); ?>
                                                        </td>
                                                        <td data-label="<?php echo app('translator')->get('Description'); ?>"
                                                            class="text-right text-md-center">
                                                            <button type="button"
                                                                    class="btn btn-info btn-sm bg-transparent text-dark btn-padding"
                                                                    data-toggle="modal"
                                                                    data-target="#description"
                                                                    id="details"
                                                                    data-servicetitle="<?php echo e($row->service_title); ?>"
                                                                    data-id="<?php echo e($row->id); ?>"
                                                                    data-description="<?php echo e($row->description); ?>"><i
                                                                    class="fa fa-eye"></i> <?php echo app('translator')->get('More'); ?></button>
                                                        </td>
                                                    </tr>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                                </tbody>
                                            </table>
                                        </div>

                                    </div>
                                </div>

                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </div>
                </div>
            </div>
        </div>
    </section>



    <div class="modal fade" id="description">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">

                <!-- Modal Header -->
                <div class="modal-header">
                    <h4 class="modal-title" id="title"></h4>
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                </div>

                <!-- Modal body -->
                <div class="modal-body" id="servicedescription">

                </div>

                <!-- Modal footer -->
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary btn-padding close"
                            data-dismiss="modal"><?php echo app('translator')->get('Close'); ?></button>
                    <a href="" type="submit" class="btn btn-success btn-padding order-now"><?php echo app('translator')->get('Order Now'); ?></a>
                </div>

            </div>
        </div>
    </div>


<?php $__env->stopSection(); ?>



<?php $__env->startPush('script'); ?>
    <script>
        "use strict";
        $(document).ready(function () {
            $(document).on('click', '#details', function () {
                var title = $(this).data('servicetitle');
                var description = $(this).data('description');

                var id = $(this).data('id');
                var orderRoute = "<?php echo e(route('user.order.create')); ?>" + '?serviceId=' + id;
                $('.order-now').attr('href', orderRoute);

                $('#title').text(title);
                $('#servicedescription').html(description);
            });
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($theme.'layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/infikuqx/boostfamz.com/resources/views/themes/minimal/services/search-service.blade.php ENDPATH**/ ?>